> ## Documentation Index
> Fetch the complete documentation index at: https://docs.olostep.com/llms.txt
> Use this file to discover all available pages before exploring further.

# ファイルを取得する

> IDによってファイルのメタデータを取得します。



## OpenAPI

````yaml ja/openapi/files.json GET /v1/files/{file_id}
openapi: 3.0.3
info:
  title: ファイル API
  version: 1.0.0
servers:
  - url: https://api.olostep.com
security: []
paths:
  /v1/files/{file_id}:
    get:
      summary: IDでファイルメタデータを取得する
      description: ファイルのIDでメタデータを取得する。
      parameters:
        - name: file_id
          in: path
          required: true
          description: 取得するファイルのユニークな識別子。
          schema:
            type: string
      responses:
        '200':
          description: ファイルメタデータを含む成功したレスポンス。
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: ファイルID
                  object:
                    type: string
                    description: オブジェクトの種類。このエンドポイントでは "file"。
                  created:
                    type: integer
                    description: 作成されたエポックタイムスタンプ
                  filename:
                    type: string
                    description: アップロードされたファイルのファイル名
                  bytes:
                    type: integer
                    description: ファイルサイズ（バイト単位）
                  purpose:
                    type: string
                    description: ファイルの目的
                  status:
                    type: string
                    description: 'ファイルのステータス（例: ''pending'', ''completed''）'
        '401':
          description: 無効なAPIキー
        '404':
          description: ファイルが見つからない
        '500':
          description: 内部サーバーエラー
      security:
        - Authorization: []
components:
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer
      description: Bearer <token>形式のBearer認証ヘッダー。<token>はあなたの認証トークンです。

````